Bug 1029214 - [LiveCD] UnknownDeviceError: UnknownDeviceError('00:18:C5:DF:B9:20', GError('GDBus.Error:org.freedesktop.NetworkManager.UnknownDevice: No device found for the requested iface.',))
[LiveCD] UnknownDeviceError: UnknownDeviceError('00:18:C5:DF:B9:20', GError('...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:252578a94f03b368af4c58ce9bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 17:15 EST by Janar Leas
Modified: 2015-02-18 06:14 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-21.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:14:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (457.74 KB, text/plain)
2013-11-11 17:16 EST, Janar Leas
no flags Details
File: anaconda.log (7.68 KB, text/plain)
2013-11-11 17:17 EST, Janar Leas
no flags Details
File: environ (440 bytes, text/plain)
2013-11-11 17:17 EST, Janar Leas
no flags Details
File: lsblk_output (2.35 KB, text/plain)
2013-11-11 17:17 EST, Janar Leas
no flags Details
File: messages (670.02 KB, text/plain)
2013-11-11 17:18 EST, Janar Leas
no flags Details
File: nmcli_dev_list (3.56 KB, text/plain)
2013-11-11 17:19 EST, Janar Leas
no flags Details
File: os_info (179 bytes, text/plain)
2013-11-11 17:19 EST, Janar Leas
no flags Details
File: program.log (26.67 KB, text/plain)
2013-11-11 17:19 EST, Janar Leas
no flags Details
File: storage.log (117.21 KB, text/plain)
2013-11-11 17:19 EST, Janar Leas
no flags Details
File: ifcfg.log (828 bytes, text/plain)
2013-11-11 17:19 EST, Janar Leas
no flags Details

  None (edit)
Description Janar Leas 2013-11-11 17:15:50 EST
Description of problem:
Anaconda installer chrashes after I setup internet connection with Nokia6151 over Bluetooth (only option for internet) and tring to connect. Connection seems to work fine though.

I suspect that reason for UnknownDeviceError might be in my wifi card instead.
In Debian I used firmware-iwlwifi_0.40_all.deb package.

I am using localized setup (for Estonian), I really want it and gnome seems to be only one, that is translated good enough.

Desire to install Fedora 19 (with deafult setup) onto mine Lenovo ThinkPad W510 (refurbished).
Downloaded ISO from Fedora-project homepage with wget command under Debian Jessie and burnt it on to a DVD under Windows 7 pro with CDBurnerXP.

Mine currently used Debian Jessie is a mess (huge chances are, thet by mine own fault): portmapper seemes to be not used durning boot, after last updates in 07 Nov 2013, which included ~2 dbus updates. So that I can not use mine input and sound devices anymore, while system boots and loads. Plus it recocnises mine external mice, usb, Huawei3Gmodem etc, if (re)mounted (physicaly) after gnome (3.4.2) is up and running).

So Fedora would be secondary OS on same HDD as Debian (for data preservation).

I do try secondary anaconda launch in hope, that will resolve something.
If it wont help, I try again with wifi disabled.

Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/nm.py", line 159, in nm_device_property
    raise UnknownDeviceError(name, e)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/nm.py", line 235, in nm_device_ip_addresses
    state = nm_device_property(name, "State")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 165, in getHostname
    addrs = (nm.nm_device_ip_addresses(dev, version=4) +
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1496, in _update_hostname
    hostname = network.getHostname()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 35, in wrap
    func(*args)
UnknownDeviceError: UnknownDeviceError('00:18:C5:DF:B9:20', GError('GDBus.Error:org.freedesktop.NetworkManager.UnknownDevice: No device found for the requested iface.',))

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 rd.live.check BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 Janar Leas 2013-11-11 17:16:53 EST
Created attachment 822639 [details]
File: anaconda-tb
Comment 2 Janar Leas 2013-11-11 17:17:05 EST
Created attachment 822640 [details]
File: anaconda.log
Comment 3 Janar Leas 2013-11-11 17:17:13 EST
Created attachment 822641 [details]
File: environ
Comment 4 Janar Leas 2013-11-11 17:17:22 EST
Created attachment 822642 [details]
File: lsblk_output
Comment 5 Janar Leas 2013-11-11 17:18:50 EST
Created attachment 822644 [details]
File: messages
Comment 6 Janar Leas 2013-11-11 17:19:00 EST
Created attachment 822645 [details]
File: nmcli_dev_list
Comment 7 Janar Leas 2013-11-11 17:19:08 EST
Created attachment 822647 [details]
File: os_info
Comment 8 Janar Leas 2013-11-11 17:19:19 EST
Created attachment 822648 [details]
File: program.log
Comment 9 Janar Leas 2013-11-11 17:19:40 EST
Created attachment 822649 [details]
File: storage.log
Comment 10 Janar Leas 2013-11-11 17:19:49 EST
Created attachment 822650 [details]
File: ifcfg.log
Comment 11 Janar Leas 2013-11-11 17:25:30 EST
According do gnome networkmanager hardware cousing this seems to be either mine nokia6151 or bluetoothcard
Comment 12 Jan Hutař 2014-01-22 06:59:25 EST
Maybe related to bug 1046307?
Comment 13 Radek Vykydal 2014-05-26 08:41:53 EDT
Possible fix is in bug 1058906 comment 14.
Comment 14 Fedora End Of Life 2015-01-09 17:36:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 06:14:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.